com.amazon.redshift.util

## Class RedshiftWarning

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLWarning
        - - com.amazon.redshift.util.RedshiftWarning

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class RedshiftWarning
    extends SQLWarning

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RedshiftWarning(ServerErrorMessage err)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`
`ServerErrorMessage` `getServerErrorMessage()`

### Methods inherited from class java.sql.SQLWarning

`getNextWarning, setNextWarning`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### RedshiftWarning

    public RedshiftWarning(ServerErrorMessage err)

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### getServerErrorMessage

    public ServerErrorMessage getServerErrorMessage()